<?php
defined( 'ABSPATH' ) || die;

/**
 * Wolmart Products Widget
 *
 * Wolmart Widget to display products.
 *
 * @since 1.0
 */

class Wolmart_Products_Elementor_Widget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'wolmart_widget_products';
	}

	public function get_title() {
		return esc_html__( 'Products', 'wolmart-core' );
	}

	public function get_categories() {
		return array( 'wolmart_widget' );
	}

	public function get_keywords() {
		return array( 'products', 'shop', 'woocommerce' );
	}

	public function get_icon() {
		return 'wolmart-elementor-widget-icon eicon-products';
	}

	public function get_script_depends() {
		$depends = array( 'swiper' );
		if ( wolmart_is_elementor_preview() ) {
			$depends[] = 'wolmart-elementor-js';
		}
		return $depends;
	}

	protected function _register_controls() {

		wolmart_elementor_products_select_controls( $this );

		wolmart_elementor_products_layout_controls( $this );

		wolmart_elementor_product_type_controls( $this );

		wolmart_elementor_slider_style_controls( $this, 'layout_type' );

		wolmart_elementor_product_style_controls( $this );

		wolmart_elementor_loadmore_button_controls( $this, 'layout_type' );

	}

	protected function render() {
		$atts = $this->get_settings_for_display();
		require __DIR__ . '/render-products.php';
	}

	protected function content_template() {}
}
