<?php
defined( 'ABSPATH' ) || die;
?>
<h2><?php esc_html_e( 'Optimize Resources', 'wolmart' ); ?></h2>

<form method="post" class="wolmart-used-elements-form">
	<p><?php esc_html_e( 'This will help you to optimize theme styles.', 'wolmart' ); ?></p>
	<p class="descripion">
		<?php esc_html_e( 'Wolmart comes with powerful optimization wizard for theme styles. Detailed options for used components and helper classes will optimize your site perfectly.', 'wolmart' ); ?>
		<br>
		<?php esc_html_e( 'All options you have been checked will be saved for next use. After you have finished development, please run this wizard.', 'wolmart' ); ?>
	</p>

	<?php if ( defined( 'WPB_VC_VERSION' ) ) { ?>
		<p style="margin-bottom: 30px;"><?php esc_html_e( 'Please check used resources.', 'wolmart' ); ?></p>
		<div class="wolmart-used-resources">
			<div class="wolmart-loading"><i></i></div>
		</div>
	<?php } ?>

	<label class="checkbox checkbox-inline" style="margin-bottom: 15px;">
		<input type="checkbox" name="resource_disable_gutenberg" <?php checked( wolmart_get_option( 'resource_disable_gutenberg' ) ); ?>>
		<strong><?php esc_html_e( 'Gutenberg', 'wolmart' ); ?></strong> - <span><?php esc_html_e( 'If any gutenberg block doesn\'t be used in site, check me.', 'wolmart' ); ?></span>
	</label>

	<label class="checkbox checkbox-inline" style="margin-bottom: 15px;">
		<input type="checkbox" name="resource_disable_wc_blocks" <?php checked( wolmart_get_option( 'resource_disable_wc_blocks' ) ); ?>>
		<strong><?php esc_html_e( 'WooCommerce blocks for Gutenberg', 'wolmart' ); ?></strong> - <span><?php esc_html_e( 'If any WooCommerce Gutenberg blocks for doesn\'t be used in sites, check me.', 'wolmart' ); ?></span>
	</label>

	<?php if ( defined( 'ELEMENTOR_VERSION' ) ) { ?>
		<label class="checkbox checkbox-inline" style="margin-bottom: 15px;">
			<input type="checkbox" name="resource_disable_elementor" <?php checked( wolmart_get_option( 'resource_disable_elementor' ) ); ?>>
			<strong><?php esc_html_e( 'Elementor Resources', 'wolmart' ); ?></strong> - <span><?php esc_html_e( 'Check this to speed up your elementor site remarkably, if your site has no compatibility issue.', 'wolmart' ); ?></span>
		</label>
	<?php } ?>

	<?php if ( class_exists( 'WeDevs_Dokan' ) ) { ?>
		<label class="checkbox checkbox-inline" style="margin-bottom: 15px;">
			<input type="checkbox" name="resource_disable_dokan" <?php checked( wolmart_get_option( 'resource_disable_dokan' ) ); ?>>
			<strong><?php esc_html_e( 'Dokan Resources', 'wolmart' ); ?></strong> - <span><?php esc_html_e( 'Check this to speed up your dokan site for not logged in users, if your site has no compatibility issue.', 'wolmart' ); ?></span>
		</label>
	<?php } ?>


	<p class="wolmart-admin-panel-actions">
		<a href="<?php echo esc_url( $this->get_next_step_link() ); ?>" class="button button-large button-light"><?php esc_html_e( 'Skip this step', 'wolmart' ); ?></a>
		<a href="<?php echo esc_url( $this->get_next_step_link() ); ?>" class="button-dark button button-large button-next" data-callback="optimize_resources"><?php esc_html_e( 'Compile & Continue', 'wolmart' ); ?></a>
		<?php wp_nonce_field( 'wolmart-setup-wizard' ); ?>
	</p>
</form>
